/***************************************************************************
 *  file                 :  global.h                                       *
 *  copyright            : (C) 2001-2005 by Dirk Nolting                   *
 *  email                : nolting@uni-duesseldorf.de                      *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _GLOBAL_H_
#define _GLOBAL_H_

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <stdio.h>
#include <stdlib.h>
#include <gtk/gtk.h>

#define USE_DIGITS 5
#define DEFAULT_CHARGE 1

typedef enum FType{
  SUM,
  PEPTIDESEQUENCE
} FormulaType;

typedef struct isotope{
  struct isotope *next,*previous;
  double p;
  double mass;
} isotope;

typedef struct compound {
  struct compound *next,*previous;
  int amount;
  struct isotope *isotopes;
} compound;

typedef struct element {
  struct element *next,*previous;
  char *symbol;
  struct isotope *isotopes;
} element;

typedef struct gui_input{
  gchar *input_string;
  GtkWidget *app_window;
  FormulaType formulatype;
} GuiInput;


extern element *elements;
extern compound *verbindung;
extern isotope *peaks;

extern int fast_calc;

GtkWidget *get_mainwindow(void);

#endif
