/***************************************************************************
 *  file                 :  gui_interaction.h                              *
 *  copyright            : (C) 2001-2005 by Dirk Nolting                   *
 *  email                : nolting@uni-duesseldorf.de                      *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI_INTERACTION_H_
#define GUI_INTERACTION_H_

#define MIN_INT 0.01

#include "global.h"

enum
  {
    COL_MASS,
    COL_INTENSITY,
    COL_PROBABILITY,
    COL_NUMBER
  };

enum
  {
    STATUS_INIT,
    STATUS_RESULT
  };

G_CONST_RETURN gchar *get_formula_input(void);
void clear_status_bar(void);
void init_show_result(GtkWidget *main);
void display_result(void);
void set_charge(int charges);
int get_charge(void);
void set_digits(int dig);
int get_digits(void);
void set_minint(double intensity);
double get_minint(void);
char *do_format_string( int digits);
char *do_adapted_format_string( double value );
void save_result(gchar *path);
char *get_license(void);
void clear_display(void);
void display_error_dlg( const char *caption, const char *text);

#endif /* GUI_INTERACTION_H_ */
