/***************************************************************************
 *  file                 :  ipc.h                                          *
 *  copyright            : (C) 2001-2005 by Dirk Nolting	           *
 *  email                : nolting@uni-duesseldorf.de                      *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef _IPC_H
#define _IPC_H

#define MIN_DIF 0.0009

#include "global.h"

void start_calculation( GuiInput *user_input );
int calculate_peaks(void);
void free_list(isotope *target);
void summarize_peaks(isotope *base);
isotope *add_peak(isotope *base,isotope *peak);
void usage(void);
void cut_peaks(isotope *spectrum);
void free_compound( compound *target );
void clear_results(void);
void set_cancel_calculation(gboolean cancel);
gboolean update_progress(gpointer data);

#endif
