/***************************************************************************
 *  file                 :  main.c                                         *
 *  copyright            : (C) 2001-2005 by Dirk Nolting                   *
 *  email                : nolting@uni-duesseldorf.de                      *
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gtk/gtk.h>

#include "interface.h"
#include "support.h"
#include "gui_interaction.h"
#include "element.h"

static GtkWidget *MainWindow;

GtkWidget *get_mainwindow(){
  return MainWindow;
}

int
main (int argc, char *argv[])
{

#ifdef HAVE_SIGNAL
  signal(SIGHUP,SIG_IGN);
#endif

#ifdef ENABLE_NLS
  bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
  bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
  textdomain (GETTEXT_PACKAGE);
#endif

  init_elements();

  gtk_init (&argc, &argv);

  add_pixmap_directory (PACKAGE_DATA_DIR "/" PACKAGE "/pixmaps");

  MainWindow = create_Hauptfenster();

  gtk_widget_show( MainWindow );
  init_show_result( MainWindow );

  gtk_main ();
  return 0;
}

